<div>
    <nz-list
        [nzDataSource]="enemies"
        [nzItemLayout]="'vertical'"
        [nzRenderItem]="item"
        [nzPagination]="pagination"
        [nzFooter]="footer">
        <ng-template #item let-item>
            <nz-list-item>
                <nz-list-item-meta
                    [nzTitle]="nzTitle"
                    nzAvatar="https://zos.alipayobjects.com/rmsportal/ODTLcjxAfvqbxHnVXCYX.png"
                    nzDescription="Ant Design, a design language for background applications, is refined by Ant UED Team">
                    <ng-template #nzTitle>
                        <a href="https://ng.ant.design">{{ item.title }}</a>
                    </ng-template>
                </nz-list-item-meta>
            </nz-list-item>
        </ng-template>
    </nz-list>
</div>